back to article Apple unveils tightened Mountain Lion requirements

Apple has released the System Requirements for its upcoming new version of OS X, Mountain Lion, and as is usually the case with any operating system release, not all Macs need apply – even some that qualified for the Mac's current operating system, Lion. The basic System Requirements are rather straightforward, although as 512 …

COMMENTS

This topic is closed for new posts.
  1. Captain Save-a-ho
    Joke

    Mountain Lion? Pass

    I'll wait for the next two releases instead:

    Sea Lion

    Dandelion

    1. itzman

      Re: Mountain Lion? Pass

      Lyons corner house..the austerity edition.

  2. PlunderBunny

    Feeling pretty lucky

    My 5-year old mid-2007 MacBook Pro makes the cut, and at the same time, my 4 year old iPhone 3GS is eligible for iOS 6 (albeit a subset of the features). So I'm feeling pretty lucky.

    1. Annihilator
      Facepalm

      Re: Feeling pretty lucky

      You'd be pretty peeved if your 3GS *didn't* support iOS 6, given that you can still buy a 3GS today.

      But equally, my mid-2006 laptop came with XP, is currently running Windows 7 and will happily support Windows 8 (and can boot to Snow Leopard in a VM). I don't consider that "lucky", but maybe Apple users are grateful for strange things that other users consider "normal"?

      1. Anonymous Coward
        Anonymous Coward

        Re: Feeling pretty lucky

        "maybe Apple users are grateful for strange things that other users consider "normal""

        Tsk tsk tsk. I'm sue you can get a machine bought to support Windows 98 to install Windows 7, but would it actually work to a usable degree. Ditto with Macs.

        BTW, I can install Windows on my Macbook too - can you install OSX without cheating with a VM of sorts? No? Thought so.. (not that I would ever want to - as an ex Windows user I fight hard not to become as former smokers but it's hard - my new OS is only going to cost me £13 or so, fully legal..).

        I didn't want to stoke the "my OS is better" rubbish, but you really made too tempting a target..

        1. Annihilator
          Facepalm

          Re: Feeling pretty lucky

          "BTW, I can install Windows on my Macbook too - can you install OSX without cheating with a VM of sorts? No? Thought so.."

          Sorry, how do you figure that makes OSX *better* by virtue of its manufacturer laying down draconian (and unenforceable) "laws" that restrict its use, yet Windows is able to install on any x86 hardware? But in answer to your question, yes I can install OSX on bare hardware - I'd really like to see Apple stop me and what crime they could possibly charge me with. If it helps, the Snow Leopard disc came with an Apple sticker which I stuck on the machine, thus Apple branding it.

          Note also that I didn't say any OS was better than any other, merely that it seems odd to feel "lucky" that Apple deign your recent purchase worthy of a new operating system.

      2. vic 4
        Alert

        Re: and can boot to Snow Leopard in a VM

        You know apple don't allow you to do that on non-apple hardware, good job apple don't acknowledge the register exists given you didn't post anonymously .

      3. PlunderBunny

        Re: Feeling pretty lucky

        Well, at the risk of sounding entirely selfish, but from a certain point of view, whether Apple still sells the iPhone 3GS to other people doesn't matter from my point of view - I've had my 3GS for many years and it's still being updated, so *I* feel lucky.

        But I do take your point - others who buy an 3GS would feel... not so lucky... if they couldn't update the OS so soon after their purchase.

  3. zemerick

    "If not, worry not – the version of OS X that you're using today will not suddenly cease to function on the day Mountain Lion is uncaged."

    Don't give them ideas. They already want to solder everything to the board, use proprietary screws, and bury everything. I'm pretty sure the only reason the OS doesn't self-destruct the minute a new version is released, is because they haven't thought of it yet.

    1. Victor Ludorum
      Coat

      I'm pretty sure the only reason the OS doesn't self-destruct the minute a new version is released, is because they haven't been awarded a patent for it yet.

      FTFY.

    2. Ted Treen
      Happy

      Well at around £20 to go to Lion, now around £13 to go to Mountain Lion, they're not exactly doing what Microsoft do on OS upgrades, are they?

      1. Ted Treen
        Devil

        Aha! a downvote.

        Ballmer must read El Reg...

      2. Anonymous Coward
        Anonymous Coward

        hey're not exactly doing what Microsoft do on OS upgrades, are they

        No, much better than MS, they make your pc obsolete, so you spend several hundred quid upgrading instead....

      3. CmdrX3

        That really depends

        Assuming like you you are using a Hackintosh you need to buy the OS, then it was not possible to install Lion without first having Snow Leopard so I had the cost of that. Apple did release Lion on USB pen but it costs £55 & another £14 for Mountain Lion. I paid £64 on pre-order for Windows 7 Retail to upgrade the XP that came with the PC.

        Now I realise that if you have an original Apple computer you will have whatever latest OS already on it, but you are also paying very high premium prices for the hardware it comes on, but if you buy a PC you will also be getting the Windows OS included, so even taking the "windows tax" into account, it still works out cheaper.

        Basically I have spent more on Apple OS's in the last 3 years than I have on Windows OS's in the last decade.

        1. CmdrX3

          Re: That really depends

          The first line should read "Assuming like ME you are using a Hackintosh you need to buy the OS"

      4. FrankAlphaXII
        Thumb Down

        Not really

        Windows 8 is going to be around 40 bucks according to MS, so outdated argument is outdated. Not saying I'll use it or its that great yet, but its not going to be insanely expensive IF Microsoft keeps their word.

        1. Ilsa Loving

          Re: Not really

          Only until Jan 31, then it will go to a 'higher price'. In other words, it's the promo price. What the final price will be is debatable, but unless MS does something very interesting (which they seem keen on doing lately), I'm expecting the regular retail price will shoot up to several hundred dollars. This would be in line with previous history.

    3. Anonymous Coward
      Anonymous Coward

      You can replace the Ram and HDD without removing proprietary screws. What else is user serviceable? not much.

      1. Shardik
        FAIL

        Yes, you can take out the HDD, but if you happen to have a post '09 iMac, you can't put a replacement HDD in it unless it's Apple supplied thanks to them arseing around proprietary firmware on the drive.

        Either that, or live with full-speed fans (no, a software solution is not acceptable!)

        Get real Apple, HDD's fail. You even have a recall for some of them. No, I don't want to pay you £200 for a 1TB SATA HDD, I live in the real world.

        1. Ted Treen
          Facepalm

          @Shardik

          I currently have a G3 Minitower, a G4 Sawtooth, G5 dual 2.0 and I now use a MacPro 2009 Model.

          I've put bog-standard ebay SCSI drives & ATA drives in the G3, standard (off ebay & OEM) ATA drives in the G4, normal everyday OEM SATA drives in the G5 and the MacPro. All with nary a problem.

          Proprietary firmware? What in God's name are you wittering on about?

          Your idea of the real world appears to be at odds with reality...

          1. Suricou Raven

            Re: @Shardik

            He is referring to an issue with some models of iMac. The fan controller reads the temperature from the hard drive, and sets the fan speed accordingly, but it reads the drive temperature using a non-standard protocol supported only by Apple branded (ie, overpriced) drives. You can fit a non-Apple-branded drive, and it'll work, but the fans will be stuck continually at their highest speed.

        2. Richard Cartledge

          The iMac is bound not to be user-upgradable by anyone who isn't interested in computers, but everyone knows someone who is these days, and anyone who can't follow the pictures on ifixit or the videos on youtube deserves to have to pay an Apple Authorized Service Provider.

          We have replaced many hard drives on current model Macs with bog-standard ones and no problems with fan speed, some people do claim to have a problem, maybe it depends on model of HDD?

          http://9to5mac.com/2011/05/12/owc-choose-your-new-imac-hard-drive-wisely-you-only-get-one-shot/

          http://bit.ly/mJ2fpw

          1. Fred Flintstone Gold badge

            You may slowly be out of a job..

            I noticed the retina model is totally without *any* possibility to upgrade. SSD and RAM size is fixed. Take it or leave it.. (and you may get some free pills to recover from the heart attack - the top model's price is insane).

  4. tom t

    WTF?

    What about 2006 Macbook Pro with Core 2 Duo ? So the OS will knock off the 2006 Core2Duo and let give 2007 Core2Duo a pass? I guess I will be one of those SOL...

    1. RAMChYLD
      Flame

      Just you wait

      I'm sure someone would come up with a bootloader or such that'll allow Mountain Lion to run on older Macs. It has been happening since the PowerPC days, and I suspect it will continue happening.

      That said, I will consider first before upgrading. I needed to wait donkey years for Oki to put out Lion drivers for my color laser printer (Let's see. Bought new Mac with Lion in October 2011. Oki C3300N drivers for the darn OS only shown up in April 2012). Reason? The driver code was PowerPC, which required Rosetta, which wasn't present in Lion.

      Also, Lion broke NTFS3G. Was a PITA to re-enable (needed to patch some of the binaries). And I refuse to pay for Paragon or Tuxera.

    2. Anonymous Coward
      Anonymous Coward

      Re: WTF?

      You could put Windows 7on it!

      1. Anonymous Coward
        Anonymous Coward

        Re: WTF?

        Well said!

        WTF must-have improvements with the mountain lion have? Fanbois never learn.

        1. Anonymous Coward
          Anonymous Coward

          Re: WTF?

          A new user interface that cripples the OS for desktop users but makes it easier to use with one finger for people who like to prod things. Oh sorry, that's Windows 8.

    3. Charlie Clark Silver badge

      Re: WTF?

      I have a similar vintage Mac Mini which serves as my backup machine in case this MacBook Pro develops any of the heart-stopping hardware faults that its predecessor did. Fortunately, that has so far not been the case and at least the DVD reader in the Mini is showing those disturbing signs of imminent death that retirement might need to be considered.

      As to Moutain Lion: will it address the terrible stalling whenever TimeMachine wants to do something that came with Snow Leopard? Will it fix the awful bugs introduced to the Bluetooth stack in Lion that mean lots of headsets don't work properly? Apple rightly has a reputation for quality and attention to detail but when they do have bugs they can be real stinkers!

    4. Anonymous Coward
      Anonymous Coward

      Re: WTF?

      It's all about testing at the end of the day. Every year a new range of laptop comes out and that means doing another test cycle for each new device to ensure it runs well.

      It's hard to guarantee compatibility and support a growing range of laptops, there needs to be a cut off point.

    5. MagicBoy

      Re: WTF?

      The ATI X1600 graphics are no longer supported. The late 2007 MBP has an nVidia GPU.

    6. Kirbini
      WTF?

      Re: WTF?

      You do realize that you're bitchin' about not being able to upgrade your 6 year old laptop. I dare you to find my a windows laptop that old from any vendor that can run Windows 7 without puking rainbows out its DVD drive.

      1. Anonymous Coward
        Anonymous Coward

        Re: WTF?

        My shitty 6 yr old Packard Bell copes with Win7 fine (inc running Aero) for pretty much every day-to-day task after upping the RAM to a heady 2gig.

      2. Anonymous Coward
        Anonymous Coward

        Re: WTF?

        I'm an Apple fan and thus would like to agree with you, but the Compaq laptop I bought in 2004 and eventually gave to my dad is running Win7 very well. I did upgrade the RAM from 512 MB to 1.5 GB. Similarly, the netbook I bought a couple years later also runs Win7 more or less as well as WinXP with just 1 GB of RAM and an Atom processor.

        I wonder how much motivation there is to clean up the OS code (get rid of all 32 bit stuff etc.) vs. incent users to upgrade machines...

    7. Lance 3

      Re: WTF?

      It is the GPU, not the CPU that dictates if Mountain Lion can be installed. That is why some Core2Duo machines can run it and some cannot.

  5. ceebee

    but....

    If Apple follows its normal policy Snow leopard will unsupported with the release of Mountain Lion.

    Snow Leopard was released in 2009 and is the last OS to support Rosetta.

    If support ends (as Apple usually only supports the current OS and its immediate predecessor) then whilst your Mac may not stop working but it will be increasingly insecure as there will be no further security patches and Safari will no longer be updated.

    That is a far more serious issue.

    (Ask users of Tiger or Leopard about this!)

    1. Anonymous Coward
      Anonymous Coward

      Re: but....

      quote

      Safari will no longer be updated.

      Which will only both those still using Safari...

      I think I can count on the fingers of one hand the number of times I've used Safari on any of the Mac's I've had over the years.

      I tend to use firefox as it is easy to move everything to Linux and Windows when I need to.

      1. Anonymous Coward
        Anonymous Coward

        Re: but....

        odd, i can count on the fingers of one finger the number of times i've not used Safari on any of the macs i've used.

        just saying, your statistics don't apply outside your own realm

    2. Colin Hillier
      Flame

      Re: but....

      ...or you could just upgrade. It's less than £20.

      1. Nigel Whitfield.

        Re: but....

        Well, yes, you could just upgrade OS. Some of us don't really have that luxury, because of specific apps.

        For example, when I work for one publishing house, we use a particular version of Quark CopyDesk; certainly with Lion, it wasn't actually possible to get it to install - otherwise, I'd have bought a new mac when my old one failed, a week after the launch of Lion.

        And yes, a newer version of CopyDesk might well work just fine, but that's not what this publishing house uses. And they're not going to upgrade every single system in the building, to accomodate a few people who have brand new versions of OS X. The same is likely true of other companies as well, where an OS upgrade could necessitate a much much larger expenditure on other software upgrades (hello, Adobe, Quark; would you like to mug me first, or shall I just hand over my wallet straight away?)

        While MS at least kept things like XP available for some corporates for a while, Apple doesn't seem to do that, which is a shame, and in my view weakens their position in some of their traditional markets.

        Sure, I could use the incredibly hideous web portal for QPS; I could also stick nails in my eyes, which would probably be more productive.

        Essentially, it may only be £20 to upgrade, but for some of us, it will result in much reduced productivity, or a lot of extra expenditure on new versions of software that aren't, honestly, strictly needed.

        1. Anonymous Coward
          Anonymous Coward

          Re: but....

          It would be nice if you could run the older release in a VM, but AFAIK there isn't a VM that allows you to do that. It's a shame, because it would make a lot of things easier - I'd like a VM to install Lion Server on because I'd like it around when I travel to test a few things on, but installing it vanilla on a laptop is a *serious* mistake..

          I know of the Rosetta Stone problem - it forced me to upgrade something I would have rather avoided :(.

  6. Eddy Ito Silver badge

    Puma redux

    There are plenty other cats, couldn't they use a different one rather than just using the alias of puma? Should we expect Cougar to crop up in short order or will they go further into the Felinae to something like Abyssinian perhaps? Seriously, some of the smaller cats deserve the respect, clearly the Apple naming folk have never seen a 35 lb bobcat take down a 150+ lb deer.

    1. Snapper
      Go

      Re: Puma redux

      I think most OS manufacturers steer clear of anything with 'Bob' in the title nowadays!

    2. Droolster

      Re: Puma redux

      I'd like to see Garfield or Hello Kitty.

      1. DJV Silver badge

        Re: Puma redux

        I'm wating for "Cheezburger"

    3. Khaptain Silver badge

      Re: Puma redux

      Can we just stop with the cats names and use something else like "donkeys".

      Dancing Donkey

      The Happy Donkey

      Donkey and a Pint

      Why does Apple and Linux feel the need to publicly name their Operating Systems. I understand that internal projects often have names but that doesn't mean they have to become public knowledge.

      Some pointy haired boss obviously that by naming them such that users would feel attached, like it was part of the family. Psychologically our users "identify" with our products. Makes you wonder what kind of namby pamby world we live in.

      1. Anonymous Coward
        Anonymous Coward

        Re: Puma redux

        >Why does Apple and Linux feel the need to publicly name their Operating Systems[?]

        Because many people find it easier to remember a visual image (of, say, a big cat) than a number like 10.7.3 or whatever.

      2. keithpeter
        Linux

        Re: Puma redux

        I used to think that Ubuntu's aliterative naming scheme was a gentle urine extraction gesture aimed at Apple, but I'm not so sure now. I think Shuttleworth actually might think it helps humanise thier port of GNU/Linux.

        Intel based Macs can usually run a linux by the way if anyone has kit that has no secure Mac OS upgrade path.

        1. Zolko
          Thumb Up

          Intel based Macs can usually run a linux

          Yup: Mepis 11.0 on my MacBook Pro 13 from 2010 (or 2009, don't remember). 8gb RAM, replaced the HDD with SSD (not Apple, but Linux doesn't care), and it flies like a charm. Could use a new battery though.

      3. Allonymous Coward
        Linux

        Re: Puma redux

        Pedant alert: Linux != Ubuntu (or Fedora, or Mint, or any of the other distros that name their releases).

        Incidentally, I thought "Beefy Miracle" was a brilliantly silly name for a release. Much better than Alliterative Animals.

        1. FrankAlphaXII
          Thumb Up

          Re: Beefy Miracle

          Fedora does name their releases democratically you know, so it was the community that picked it. I thought it was great myself. Im not sure how Ubuntu does it, but I dont particularly care for Ubuntu.

    4. jonathanb Silver badge

      Re: Puma redux

      Because it is an incremental upgrade rather than a major new features upgrade, just like Snow Leopard.

    5. /dev/null
      Happy

      Re: Puma redux

      Can we have Mac OS X Pallas's Cat please:

      Clicky

    6. Fred Flintstone Gold badge

      Re: Puma redux

      I shudder to think what would happen if they focus more on Asian markets, there is absolutely NO way I will install an OS called "Hello Kitty"..

  7. Dan 55 Silver badge
    FAIL

    Well done Apple

    The only version of Mac OS X with an 'About this Mac' dialog box capable of displaying the information you need (which part of the year it was released in) to determine if you can upgrade to Mountain Lion is... Lion.

    Do you reckon if I ring up Apple and ask if my mid-2007 iMac was stuck in a warehouse for three months they'd tell me?

    1. Ari 1

      Re: Well done Apple

      your serial number will give you the month of manufacture (if you input your serial number into a box on the "internet". Google is your friend here)

    2. Chris 3

      Re: Well done Apple

      They would indeed tell you. In fact, the rumour is that the App Store will do a check before letting you purchase.

      However, if you don't want to wait, try this little freebie http://www.coconut-flavour.com/coconutid/index.html which will tell you where and when your machine was built.

      My iMac, for example, though purchased in 2007 is a late 2006 model.

      1. Dan 55 Silver badge
        Gimp

        Re: Well done Apple

        Perhaps Apple should make a program available which runs under any version of their OS and says 'Yes' or 'No' instead of expecting people to know about serial numbers or run 3rd party freeware programs, or would that be too Microsofty?

  8. Jason Hindle

    My White MacBook is finally out of date

    Which is fine by me. It runs Lion well enough and I only use it for a bit of browsing and typing these days.

  9. Anonymous Coward
    Anonymous Coward

    You Pay to Play When You Join the Cult of Cupertino

    My desktop and laptop Macs are too old for this upgrade.

    It sucks to lose security updates for my currently-working-just-fine OS X.

    My Plan B: (one more) full data backup, re-partition, format, install Linux, and restore the data.

    1. sleepy

      Re: You Pay to Play When You Join the Cult of Cupertino

      AFAIK Apple issue security updates for the current and immediately prior OS versions. Older than that, I don't know, but I'm pretty sure Apple would ensure that you can safely use a Mac for at least 5-7 years from original purchase date, and if you can't update your OS any more, they will issue security updates for the last OS version you can use.

      1. Anonymous Coward
        Anonymous Coward

        @sleepy Re: You Pay to Play When You Join the Cult of Cupertino

        My Macs are running the latest OS X their hardware supports, but still are old enough they will fall out of the "CurrentVersion-2" supported-by-security-patches range when OS X 10.8 is introduced.

    2. Anonymous Coward
      Anonymous Coward

      Re: You Pay to Play When You Join the Cult of Cupertino

      I'm just irritated that I now have to update my desktop to Lion from Snow Leopard (or lose fixes) and, although it will mean it's synced with the laptop version-wise, it means I have to put up with the irritation of saving versions and locked documents.

  10. Tim Parker

    OS version

    "OS X version 10.6.8 (Leopard) or later"

    Just one point of order - OS X 10.6 is Snow Leopard, not Leopard.

    1. Tim Parker

      Off topic

      Gee - a thumbs down for a fact, this is getting fucking tedious... is this, perchance, related to the 40 down-votes i've suddenly received this afternoon - none of which were on recent posts, and look to be nicely spread out. If the lame tosser(s) responsible for this, and/or any of the others, would care to explain why they feel so offended i'd be happy to discuss it and take any reasonable criticism. Otherwise fuck off.

      Sorry for the off-topic nature of that rant.

      1. Anonymous Coward
        Anonymous Coward

        Re: Off topic

        Sorry, that was just too tempting to resist..

        1. Tim Parker
          Thumb Up

          Re: Off topic

          "Sorry, that was just too tempting to resist.."

          It was really, wasn't it ? Like your style :)

  11. Anonymous Coward
    Anonymous Coward

    Windows Vista...

    ... wasn't exactly honest about whether it would run well on your system. At least Apple seem to be fairly straight on this.

    1. EvilGav 1

      Re: Windows Vista...

      Sorry, I didn't read anywhere that said it would run well, just that it was supported.

      And MS *did* give you an indication of whether Vista would run, the fact that a number of manufacturers chose to be less than honest was another matter entirely - selling a machine with XP installed and a "Vista Ready" sticker, when it actually only covered minimum requirements was hardly being honest.

      As with this story, there was/is a web page that will give/gave you a Vista score - if you're at the lower half, why did you upgrade?

      I don't really care what OS anyone uses and the stupid baiting is pointless, use what you want/need for a given situation. All 3 have their place and uses, all have their respective positives and negatives.

      1. Mark 65

        Re: Windows Vista...

        I'd argue that the minimum requirements weren't really honest.

  12. Greg J Preece

    Seems reasonable. They're supporting at least 5 years back, which is about the general lifetime of one of these machines. Still won't be buying it if it's as big a waste of money as Lion was, though.

  13. Anonymous Coward 15
    Pirate

    How long before it gets Hackintoshed?

    1. Andy 17

      Already has been hackintosh'd along with all of the developer previews that came before it. Using the same methods I'm sure it would be trivial to get it installed on old unsupported macs too - just install chameleon bootloader and be creative with the smbios.plist that you create.

  14. Anonymous Coward
    Anonymous Coward

    I stuck with Snow Leopard

    As the leopard looked prettier than the lion on the screensaver.

    I'm sure most Apple users choose their OS that way..

    1. Anonymous Coward
      Anonymous Coward

      Re: I stuck with Snow Leopard

      You tried running some of the latest software? Stuff like iPhoto v9.3 requires you're running 10.7.4 ( the very latest O/S and "service pack" combo ) at a bare minimum!

      The Apple machine stops for no one, "Roll with flow or get left behind!"!!

  15. Neil 38

    I believe this is just about 32 bit support. Lion has support for a 32 bit kernel whereas Mountain Lion doesn't.

    It's not just a matter of processor support, many Mac drivers are 32 bit only.

  16. Anonymous Coward
    Anonymous Coward

    Won't take long for the clever sods to bugger about with it and we'll soon have it running safely on our Hackintosh towers!

  17. Anonymous Coward
    Anonymous Coward

    Only Mid/Late 2007 Core 2 Duos because...

    Snow Leopard and Lion are currently frying the GPUs on the Late 2006/Early 2007 machines with the ATi X1600 chip..

    The saga continues eh, Apple?

    1. Mark 65

      Re: Only Mid/Late 2007 Core 2 Duos because...

      Well, they don't allow the early 2008 Macbook so I'm a year later and shit out of luck. I figure in my case it's because of the X3100 graphics and how they've been doing more work under the hood for offloading work onto the GPU.

      I do think their cycle is getting too short now as Mountain Lion is only 1 year after Lion but before that it was a 2 year gap. Potentially I have only 12 months of support left on my laptop as I'm not terribly keen on running an unsupported OS and obviously they lock you out of their software updates (iLife, Safari etc). Bastards really as the machine is going great guns.

  18. DZ-Jay

    Well played...

    Nice application of the spirit of the Rubiyaat to an observation on technology.

    That's actually one of my favorite verses, from Fitzgerald's translation:

    "The moving finger writes, and having writ,

    moves on; and all your piety nor wit

    shall move it back to cancel half a line;

    nor all your tears wash a word of it."

    Strangely sad and profound.

    dZ.

  19. Anonymous Coward
    Anonymous Coward

    Uh oh - massive privacy leak ahead..

    There I was thinking that OSX 10.8 had Dragon Voice Dictate built in (on account of having plenty horse power for it), but no:

    (from Apple's specs)

    Dictation

    Requires a microphone (built in or external) and a broadband Internet connection.

    It looks like it s a better Siri clone which will happily ship off a pristine voiceprint and whatever wonderful invention you're working on to the land of the free. I hope I have this wrong, because otherwise I still have to dig out a copy of Dragon in English (which is hard where I live, probably have to buy it online). Grr.

  20. Graeme Sutherland
    FAIL

    Software Compatibility

    I've got a three year old MacBook Pro, which runs Leopard.

    Over the last six months I've found that new software is incompatible. I can't download a new version of Java from Oracle, and Chrome is now telling me that it will no longer update itself. This seriously restricts my Mac's usability.

    As others have mentioned, if I want to upgrade to Mountain Lion then I need to get Snow Leopard first. It'd be nice if Apple offered a direct upgrade. Spending £60 or £70 to restore functionality to a machine that's getting on isn't really attractive, and this forced obsolescence has really put my off the brand in future.

    1. Anonymous Coward
      Anonymous Coward

      Re: Software Compatibility

      If it weren't for a couple of apps I really do need then mine would be a Linux Mint machine. I do love OSX (to each their own) but my goodness they really do try to stretch that loyalty in appeasement of the social media generation.

This topic is closed for new posts.

Biting the hand that feeds IT © 1998–2019